Bulk request diagnostics from agents

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_request_diagnostics
  • POST /s/{space_id}/api/fleet/agents/bulk_request_diagnostics
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Kibana's anti Cross-Site Request Forgery token. Can be any string value.

Request body

additional_metrics enum[]
Values: CPU
agents union string | string[] required
batchSize number

Responses

OK

application/json
actionId string

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}